// Copyright (C) 2022 RozK
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef _RK_ENGINE_DISPLAY_H
#define _RK_ENGINE_DISPLAY_H

#include "types.hpp"

typedef rk_handle_t rk_display_t;

RK_EXPORT rk_display_t rk_create_display(
    rk_char const * name,
    rk_uint width,
    rk_uint height);

RK_EXPORT void rk_destroy_display(
    rk_display_t display);

RK_EXPORT void rk_swap_buffers(
    rk_display_t display);

#endif // _RK_ENGINE_DISPLAY_H
